---
sidebar_label: CustomError.(constructor)
---

# CustomError.(constructor)

Constructs a new instance of the `CustomError` class

**Signature:**

```typescript
class CustomError {
  constructor(message?: string);
}
```

## Parameters

| Parameter | Type   | Description       |
| --------- | ------ | ----------------- |
| message   | string | <i>(Optional)</i> |
